Page MenuHomePhabricator

Redirect legacy xtools to rewrite
Closed, ResolvedPublic1 Story Points

Description

All tools that have been rewritten should automatically redirect to the new XTools.

See also discussion at T165612#3408385

  • Edit Counter
  • Article Info
  • Pages Created
  • Top Edits
  • Range Contributions (not redirecting, showing link to core Special:Contribs)
  • Article Blamer (not doing, see T165404)
  • Autoblock (redirecting to core Special:AutoblockList on requested wiki)
  • AdminStats
  • RfX Analysis
  • RfX Vote Counter
  • Quick, Dirty, Simple Edit Counter
  • Automated Edits
  • Bash Quotes (disabled in new XTools, redirecting to landing page)
  • AdminScore (not serviced in legacy version)
  • Edit Summaries
  • Echo (redirects to Special:Notifications on Meta)
  • Agent (redirects to landing page)

Event Timeline

Izno created this task.Sep 7 2017, 2:05 AM

Oh we will! Once we're out of Beta, that is, which should be soon :) This is actually T165612 but that got closed, re-opening and will merge this in. Thanks

Err, actually let's just go with this new ticket. @Izno what do you mean by "CBP"?

MusikAnimal renamed this task from Consider redirecting old xtools to Redirecting legacy xtools to rewrite.
MusikAnimal renamed this task from Redirecting legacy xtools to rewrite to Redirect legacy xtools to rewrite.

Bah, I think you meant Cyberpower. We work as a team, but I'm sure he's onboard with redirecting too :) We will not be completely turning off the old XTools to avoid linkrot. Also some tools were intentionally not converted (Range Contributions and Article Blamer), those will continue to sort of work as they sort of work now =P

MusikAnimal updated the task description. (Show Details)
MusikAnimal moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Izno added a comment.Sep 7 2017, 2:48 AM

Bah, I think you meant Cyberpower. We work as a team, but I'm sure he's onboard with redirecting too :) We will not be completely turning off the old XTools to avoid linkrot. Also some tools were intentionally not converted (Range Contributions and Article Blamer), those will continue to sort of work as they sort of work now =P

Yeah, Cyberpower. Don't worry about the specifics ~

Bah, I think you meant Cyberpower. We work as a team, but I'm sure he's onboard with redirecting too :) We will not be completely turning off the old XTools to avoid linkrot. Also some tools were intentionally not converted (Range Contributions and Article Blamer), those will continue to sort of work as they sort of work now =P

Sure, but I charge a migration fee of $50 per redirect. :D

Matthewrbowker moved this task from Inbox to Other on the XTools board.Sep 12 2017, 12:20 AM
kaldari set the point value for this task to 1.Sep 12 2017, 11:39 PM
DannyH triaged this task as Normal priority.Sep 12 2017, 11:39 PM
MusikAnimal claimed this task.
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 4:40 PM
MusikAnimal updated the task description. (Show Details)
MusikAnimal updated the task description. (Show Details)
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 5:18 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 5:28 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 5:32 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 5:55 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 6:07 PM
MusikAnimal updated the task description. (Show Details)Sep 30 2017, 10:10 PM
MusikAnimal updated the task description. (Show Details)Oct 3 2017, 2:06 AM
MusikAnimal moved this task from Other to Working on the XTools board.
MusikAnimal updated the task description. (Show Details)Oct 3 2017, 6:42 PM
kaldari added a subscriber: kaldari.Oct 5 2017, 6:32 PM

Can we redirect the Article Blamer tool to http://wikipedia.ramselehof.de/wikiblame.php? We really should sunset any active functionality at http://tools.wmflabs.org/xtools/, as it's confusing having 2 different xtools.

Also the 2 RfX tools should be moved to a new ToolForge project, maybe http://tools.wmflabs.org/rfx/, so that they can be maintained separately (if they're worth maintaining). Any opinions on that?

Can we redirect the Article Blamer tool to http://wikipedia.ramselehof.de/wikiblame.php? We really should sunset any active functionality at http://tools.wmflabs.org/xtools/, as it's confusing having 2 different xtools.

Considering the XTools Article Blamer doesn't even really work, I'm OK with this.

Also the 2 RfX tools should be moved to a new ToolForge project, maybe http://tools.wmflabs.org/rfx/, so that they can be maintained separately (if they're worth maintaining). Any opinions on that?

These have been rewritten in the new XTools, they're just a little buggy and lacking a few features. We'll get to that eventually, so I would recommend leaving these two as-is for now until the rewritten versions go live.

I otherwise agree that it's confusing to have two XTools. Should we redirect Autoblock to Special:Autoblocks (for the requested wiki)? The old XTools doesn't offer any additional functionality there, and actually shows less information. The only other one is Range Contributions. This as you know is now in MediaWiki but the old XTools still shows a lot more information (only for IPv4, though). Not sure what to do with that... I'm inclined to leave it where it is until T145912 happens.

These have been rewritten in the new XTools, they're just a little buggy and lacking a few features. We'll get to that eventually, so I would recommend leaving these two as-is for now until the rewritten versions go live.

Does it really even make sense having these in XTools? They are both specific to English and German Wikipedia rather than being general purpose tools. I haven't looked at the code though, so I don't know how integrated they are with the shared XTools architecture. Also, I'm worried that if we just leave them until the versions in the new XTools are running, we're never going to actually deprecate the old XTools.

Should we redirect Autoblock to Special:Autoblocks (for the requested wiki)?

Yes.

The only other one is Range Contributions.

What information is shown by XTools that isn't at Special:Contributions?

These have been rewritten in the new XTools, they're just a little buggy and lacking a few features. We'll get to that eventually, so I would recommend leaving these two as-is for now until the rewritten versions go live.

Does it really even make sense having these in XTools? They are both specific to English and German Wikipedia rather than being general purpose tools. I haven't looked at the code though, so I don't know how integrated they are with the shared XTools architecture. Also, I'm worried that if we just leave them until the versions in the new XTools are running, we're never going to actually deprecate the old XTools.

As of now, the code is not specific to either. Any other wiki that wants support can open a task, explaining which pages they conduct the discussions on. As long as they use a similar !voting pattern and have separate pages for each discussion, XTools can parse it.

The big bug we're dealing with is parsing end dates out of the closing string. Other than that, the RfX tools are functional.

Should we redirect Autoblock to Special:Autoblocks (for the requested wiki)?

Yes.

👍

The only other one is Range Contributions.

What information is shown by XTools that isn't at Special:Contributions?

My understanding is that we opted to not do rangecontributions (T153112). If it's necessary/requested, it shouldn't be hard to port Range Contributions.

The big bug we're dealing with is parsing end dates out of the closing string. Other than that, the RfX tools are functional.

Is that bug tracked anywhere?

My understanding is that we opted to not do rangecontributions (T153112). If it's necessary/requested, it shouldn't be hard to port Range Contributions.

I meant what information is shown by the old XTools that isn't at Special:Contributions.

What information is shown by XTools that isn't at Special:Contributions?

My understanding is that we opted to not do rangecontributions (T153112). If it's necessary/requested, it shouldn't be hard to port Range Contributions.

The old tool provides basic WHOIS and geolookup information, along with sorting by IP. Basically everything we intend to do with T145912. I do not think this would be easy to "port" to the new XTools, per se, as we'd need to rewrite the code entirely. Also the ip_changes table is not yet on the replicas (T173891). If we want to work on this, I would instead devote our time to T145912 as that will benefit more people and likely involve around the same amount of work.

The big bug we're dealing with is parsing end dates out of the closing string. Other than that, the RfX tools are functional.

Is that bug tracked anywhere?

My apologies, it was not tracked here explicitly. However, I can no longer reproduce it... If I see it again you'll get a bug report pronto.

I have turned the tools on (on our dev instance) to facilitate proper testing. Examples:

Here it says Alf.laylah.wa.laylah !voted twice, which they did not, and the neutral !vote was struck yet XTools still counted it. I had unanimous support dammit! :) Anyway, as you can see, it's not quite production-ready, but probably not far off from it.

MusikAnimal added a comment.EditedOct 6 2017, 4:31 AM

Autoedits now redirecting to Special:AutoBlock on the requested wiki: http://tools.wmflabs.org/xtools/autoblock/?user=%25&project=en.wikipedia.org

And also the Edit Counter :)

MusikAnimal updated the task description. (Show Details)Oct 6 2017, 4:31 AM
MusikAnimal updated the task description. (Show Details)Jan 16 2018, 4:22 AM
Niharika closed this task as Resolved.
Niharika added a subscriber: Niharika.

All done here. Someone else might have to take up the RfX tools though. :)

MusikAnimal moved this task from Working to Complete on the XTools board.Jan 31 2018, 6:10 PM

All done here. Someone else might have to take up the RfX tools though. :)

See T186258.